Package org.eclipse.ui.editors.text

# Class TextEditorPreferencePage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
org.eclipse.jface.preference.FieldEditorPreferencePage
org.eclipse.ui.editors.text.TextEditorPreferencePage

All Implemented Interfaces:
  `EventListener`, `IDialogPage`, `IMessageProvider`, `IPreferencePage`, `IPropertyChangeListener`, `IWorkbenchPreferencePage`

@Deprecated public class TextEditorPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage
Deprecated.
As of 2.1, fonts are managed by the workbench, no longer supported
A preference page to set the font used in the default text editor.

This preference page uses the text editor's preference bundle and uses the key `"PreferencePage.description"` to look up the page description. In addition, it uses `"PreferencePage.fontEditor"` for the editor description.

## Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`TextEditorPreferencePage()`
Deprecated.
Creates and returns the text editor preference page.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
Deprecated.
The `PreferencePage` implementation of this `IDialogPage` method creates a description label and button bar for the page.
`void`
`createFieldEditors()`
Deprecated.
Creates the page's field editors.
`void`
`init(IWorkbench workbench)`
Deprecated.
Initializes this preference page for the given workbench.
`static void`
`initDefaults(IPreferenceStore store)`
Deprecated.
Initializes the defaults for the given store.

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`addField, adjustGridLayout, applyFont, checkState, createContents, dispose, getFieldEditorParent, initialize, performDefaults, performOk, propertyChange, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

## Constructor Details

### TextEditorPreferencePage

public TextEditorPreferencePage()
Deprecated.
Creates and returns the text editor preference page.

## Method Details

### createControl

public void createControl(Composite parent)
Deprecated.
Description copied from class: `PreferencePage`
The `PreferencePage` implementation of this `IDialogPage` method creates a description label and button bar for the page. It calls `createContents` to create the custom contents of the page.

If a subclass that overrides this method creates a `Composite` that has a layout with default margins (for example, a `GridLayout`) it is expected to set the margins of this `Layout` to 0 pixels.

Specified by:
  `createControl` in interface `IDialogPage`
Overrides:
  `createControl` in class `PreferencePage`
Parameters:
  `parent` - the parent composite
See Also:
  - `IDialogPage.createControl(Composite)`

### createFieldEditors

public void createFieldEditors()
Deprecated.
Description copied from class: `FieldEditorPreferencePage`
Creates the page's field editors.

The default implementation of this framework method does nothing. Subclass must implement this method to create the field editors.

Subclasses should call `getFieldEditorParent` to obtain the parent control for each field editor. This same parent should not be used for more than one editor as the parent may change for each field editor depending on the layout style of the page

Specified by:
  `createFieldEditors` in class `FieldEditorPreferencePage`

### init

public void init(IWorkbench workbench)
Deprecated.
Description copied from interface: `IWorkbenchPreferencePage`
Initializes this preference page for the given workbench.

This method is called automatically as the preference page is being created and initialized. Clients must not call this method.

Specified by:
  `init` in interface `IWorkbenchPreferencePage`
Parameters:
  `workbench` - the workbench

### initDefaults

public static void initDefaults(IPreferenceStore store)
Deprecated.
Initializes the defaults for the given store.

Parameters:
  `store` - the preference store
Since:
  2.0